Loading...
Searching...
No Matches
RDKit::ScaffoldNetwork::NetworkEdge Struct Reference

`#include <ScaffoldNetwork.h>`

## Public Member Functions

| NetworkEdge ()
| NetworkEdge (size_t bi, size_t ei, EdgeType typ)
bool | operator== (const RDKit::ScaffoldNetwork::NetworkEdge &o) const
bool | operator!= (const RDKit::ScaffoldNetwork::NetworkEdge &o) const

## Public Attributes

size_t | beginIdx
size_t | endIdx
EdgeType | type

## Detailed Description

Definition at line 76 of file ScaffoldNetwork.h.

## Constructor & Destructor Documentation

## NetworkEdge() [1/2]

RDKit::ScaffoldNetwork::NetworkEdge::NetworkEdge | ( |  | ) |

inline

Definition at line 80 of file ScaffoldNetwork.h.

References beginIdx, endIdx, RDKit::ScaffoldNetwork::Initialize, and type.

## NetworkEdge() [2/2]

RDKit::ScaffoldNetwork::NetworkEdge::NetworkEdge | ( | size_t | bi,
|  | size_t | ei,
|  | EdgeType | typ )

inline

Definition at line 81 of file ScaffoldNetwork.h.

References beginIdx, endIdx, and type.

## Member Function Documentation

## operator!=()

bool RDKit::ScaffoldNetwork::NetworkEdge::operator!= | ( | const RDKit::ScaffoldNetwork::NetworkEdge & | o | ) | const

inline

Definition at line 86 of file ScaffoldNetwork.h.

References beginIdx, endIdx, and type.

## operator==()

bool RDKit::ScaffoldNetwork::NetworkEdge::operator== | ( | const RDKit::ScaffoldNetwork::NetworkEdge & | o | ) | const

inline

Definition at line 83 of file ScaffoldNetwork.h.

References beginIdx, endIdx, and type.

## Member Data Documentation

## beginIdx

size_t RDKit::ScaffoldNetwork::NetworkEdge::beginIdx

Definition at line 77 of file ScaffoldNetwork.h.

Referenced by NetworkEdge(), NetworkEdge(), operator!=(), RDKit::ScaffoldNetwork::operator<<(), and operator==().

## endIdx

size_t RDKit::ScaffoldNetwork::NetworkEdge::endIdx

Definition at line 78 of file ScaffoldNetwork.h.

Referenced by NetworkEdge(), NetworkEdge(), operator!=(), RDKit::ScaffoldNetwork::operator<<(), and operator==().

## type

EdgeType RDKit::ScaffoldNetwork::NetworkEdge::type

Definition at line 79 of file ScaffoldNetwork.h.

Referenced by NetworkEdge(), NetworkEdge(), operator!=(), RDKit::ScaffoldNetwork::operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- ScaffoldNetwork.h